ROOTDIR=${HOME}/intro-ppp/
UTILDIR=${ROOTDIR}/util/

USEPGPLOT = -DPGPLOT
PGPLIBS   = -L/usr/X11R6/lib64 -L${PGPLOT_DIR}   -lcpgplot -lpgplot -lX11  -lpng

INCLUDES=-I${UTILDIR} -I${PGPLOT_DIR}

CC=gcc
F77=gfortran
F90=gfortran
CFLAGS=-std=c99 -g ${USEPGPLOT} ${INCLUDES}
FFLAGS=-g ${USEPGPLOT} ${INCLUDES}
CFLAGS_FAST=-std=c99 -O3 ${USEPGPLOT} ${INCLUDES}
FFLAGS_FAST=-g -O3 ${USEPGPLOT} ${INCLUDES}
CLIBS=${UTILDIR}/pca_utils.o -lm
FLIBS=${UTILDIR}/pca_futils.o -lm

OMPCC=gcc
OMPF77=gfortran
OMPF90=gfortran
OMPCFLAGS=${CFLAGS} -fopenmp
OMPCFLAGS_FAST = ${CFLAGS_FAST} -fopenmp
OMPFFLAGS=${FFLAGS} -fopenmp
OMPFFLAGS_FAST=${FFLAGS_FAST} -fopenmp
OMPCLIBS=${CLIBS} -lgomp
OMPFLIBS=${FLIBS} -lgomp

GSLLIBS = -lgsl -lgslcblas

MPICC=mpicc
MPIF90=mpif90
MPIF77=mpif90
