#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <assert.h>
#include "../util/pca_utils.h"


void print_mat(double **mat, int n, int m) 
{
  for (int i=0;i<n;i++) {
    for (int j=0;j<m;j++)
      printf("%12.4g ",mat[i][j]);
    printf("\n");
  }
}
/*================================================================================*/

int main(int argc, char *argv[])
{
  assert(argc>1);
  int n=atoi(argv[1]);
  int m=n;
  if (argc>2)
    m=atoi(argv[2]);
  double **mat=matrix(n,m);
  pca_time tt;
  tick(&tt);


  for (int i=0;i<n;i++)
#pragma omp parallel for shared(mat,n,m,i) default(none) 
    for (int j=0;j<m;j++)
      mat[i][j]=sin(sqrt( (1.0+i)/(1.0+j)));
  tock(&tt);
  if (n*m<100)
    print_mat(mat,n,m);
}
