#include <stdio.h>
#include "pca_utils.h"
#include <omp.h>

void daxpy(int n, NType a, NType *x, NType *y, NType *z)
{
    for (int i=0; i<n; i++) {
        x[i] = (NType)i*(NType)i;
        y[i] = ((NType)i+1.)*((NType)i-1.);
    }

    for (int i=0; i<n; i++)
        z[i] += a * x[i]  + y[i];
}

int main(int argc, char *argv[]) {
    int n=1e7;
    NType *x = vector(n);
    NType *y = vector(n);
    NType *z = vector(n);
    NType a = 5./3.;

    pca_time tt;
    tick(&tt);
    daxpy(n,a,x,y,z);
    tock(&tt);

    free(z);
    free(y);
    free(x);
    return 0;
}
