//ndot.c
#include <stdio.h>
#include "pca_utils.h"

NType ndot(int n, NType *x, NType *y)
{
    NType tot=0;
    for (int i=0; i<n; i++)
        tot += x[i] * y[i];
    return tot;
}

int main(int argc, char *argv[]) {
    int n=1e7;
    NType *x = vector(n);
    NType *y = vector(n);
    for (int i=0; i<n; i++) {
        x[i] = i;
        y[i] = i;
    }

    NType nn=n-1;
    NType ans=nn*(nn+1)*(2*nn+1)/6.0;
    pca_time tt;
    tick(&tt);
    NType dot=ndot(n,x,y);
    printf("Dot product is %14.4e (vs %14.4e) for n=%d.  Took %12.4e seconds.\n", dot, ans, n, tocksilent(&tt));

    return 0;
}
