module  pca_futils
   implicit  none
contains
   subroutine tick(timer)
       integer, intent(out) :: timer
       call system_clock(count=timer)
   end subroutine tick

   subroutine tock(timer)
       integer, intent(in) :: timer
       integer :: newtimer, clock_rate
       real :: timeinsec
       call system_clock(count=newtimer, count_rate=clock_rate)
       timeinsec = (newtimer-timer)/(clock_rate*1.)
       print *,'Tock registers ', timeinsec, 'seconds.' 
   end subroutine tock

   real function tocksilent(timer)
       integer, intent(in) :: timer
       integer :: newtimer, clock_rate
       call system_clock(count=newtimer, count_rate=clock_rate)
       tocksilent = (newtimer-timer)/(clock_rate*1.)
   end function tocksilent

   subroutine tocktag(timer,msg)
       integer, intent(in) :: timer
       character (len=*), intent(in) :: msg
       integer :: newtimer, clock_rate
       real :: timeinsec
       call system_clock(count=newtimer, count_rate=clock_rate)
       timeinsec = (newtimer-timer)/(clock_rate*1.)
       print *,timeinsec,': ', msg
   end subroutine tocktag

end module pca_futils
