#ifndef PCA_UTILS_H
#define PCA_UTILS_H

#include <stdlib.h>
#include <sys/time.h>

#ifdef USEFLOAT
	typedef float NType;
	#define MPI_NType MPI_FLOAT
#else
	typedef double NType;
	#define MPI_NType MPI_DOUBLE_PRECISION
#endif

typedef struct timeval pca_time;

/* vector/matrix allocation routines */

NType *vector(long n);
NType **matrix(long n,long m);
float **fmatrix(long n,long m);
void free_matrix(NType **mat);
void free_fmatrix(float **mat);

/* timing routines */

void tick(pca_time *tt);
void tock(pca_time *tt);
double tocksilent(pca_time *tt);
void tocktag(pca_time *tt,char *msg);

#endif
